<?php
/*
 * $Horde: turba/config/sources.php.dist,v 1.22.2.13 2002/06/06 14:06:36 bjn Exp $
 *
 * This file is where you specify the sources of contacts available to
 * users at your installation. There are a number of properties that you
 * can set for each server, including:
 *
 * title: This is the common (user-visible) name that you want displayed
 * in the contact source drop-down box.
 *
 * type: The types 'ldap' and 'sql' are currently supported.
 *
 * params: These are the connection parameters specific to the contact
 * source. See below for examples of how to set these.
 *
 * map: This is a list of mappings from the standard Turba attribute
 * names (on the left) to the attribute names by which they are known in
 * this contact source (on the right).
 *
 * search: A list of Turba attribute names that can be searched for
 * this source.
 *
 * strict: A list of Turba attribute names that must always be matched
 * exactly in a search.
 *
 * public: If set to true, this source will be available to all users.
 * See also 'readonly' -- public=true readonly=false means writable
 * by all users!
 *
 * readonly: If set to true, this source can only be modified by users
 * on the 'admin' list.
 *
 * admin: A list (array) of users that are allowed to modify this source,
 * if it's marked 'readonly'.
 *
 * export: If set to true, this source will appear on the Export menu,
 * allowing users to export the contacts to a CSV (etc.) file.
 *
 * Here are some example configurations:
 */

/**
 * A local directory in an SQL database. This implements a per-user
 * address book.
 *
 * Be sure to create a turba_objects table in your Horde database
 * from the schema in turba/scripts/drivers/turba.sql if you use
 * this source.
 */
$cfgSources['localsql'] = array(
    'title' => 'My Addressbook',
    'type' => 'sql',
    'params' => array(
        'phptype' => 'pgsql',
        'hostspec' => 'localhost',
        'username' => 'horde',
        'password' => '*****',
        'database' => 'horde',
        'table' => 'turba_objects'
    ),
    'map' => array(
        '__key' => 'object_id',
        '__owner' => 'owner_id',
        'name' => 'object_name',
        'email' => 'object_email',
        'homeAddress' => 'object_homeAddress',
        'workAddress' => 'object_workAddress',
        'homePhone' => 'object_homePhone',
        'workPhone' => 'object_workPhone',
        'cellPhone' => 'object_cellPhone',
        'fax' => 'object_fax',
        'title' => 'object_title',
        'company' => 'object_company',
        'notes' => 'object_notes'
    ),
    'search' => array(
        'name',
        'email'
    ),
    'strict' => array(
        'object_id'
    ),
    'public' => false,
    'readonly' => false,
    'admin' => array(),
    'export' => true
);

